KDE 4.4 PyKDE API Reference

- KDE's Python API

# MapThemeManager Class Reference

`from PyKDE4.marble import *`

Inherits: QObject
Namespace: Marble.MapThemeManager

## Detailed Description

The class that handles map themes that are locally available .

This class which is able to check for maps that are locally available. After parsing the data it only stores the name, description and path into a QStandardItemModel.

The MapThemeManager is not owned by the MarbleWidget/Map itself. Instead it is owned by the widget or application that contains MarbleWidget/Map ( usually: the ControlView convenience class )

For convenience MarbleThemeManager provides a static helper class that loads the properties of a map theme into a GeoSceneDocument object.

See also:
  GeoSceneDocument

## Methods

| __init__ (self, QObject parent=0)
| directoryChanged (self, QString path)
| fileChanged (self, QString path)
QStandardItemModel | mapThemeModel (self)
| updateMapThemeModel (self)

## Method Documentation

__init__ | ( | self, |
|  | QObject | parent=0
| ) |  |  |

directoryChanged | ( | self, |
|  | QString | path
| ) |  |  |

fileChanged | ( | self, |
|  | QString | path
| ) |  |  |

QStandardItemModel mapThemeModel | ( |  | self ) |

Provides a model of the locally existing themes.

This method provides a QStandardItemModel of all themes that are available via MarbleDirs.

updateMapThemeModel | ( |  | self ) |

Updates the map theme model on request.

This method should usually get invoked on startup or by a QFileSystemWatcher instance.